# Glib::ListHandle< T, Tr > Class Template Reference
[Generic container converters]

List of all members.

## Public Types

typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef CppType | value_type
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef Glib::Container_Helpers::ListHandleIterator < Tr > | const_iterator
typedef Glib::Container_Helpers::ListHandleIterator < Tr > | iterator

## Public Member Functions

template<class Cont >
| ListHandle (const Cont& container)
| ListHandle (GList* glist, Glib::OwnershipType ownership)
| ListHandle (const ListHandle< T, Tr >& other)
| ~ListHandle ()
const_iterator | begin () const
const_iterator | end () const
template<class U >
| operator std::vector< U > () const
template<class U >
| operator std::deque< U > () const
template<class U >
| operator std::list< U > () const
template<class Cont >
void | assign_to (Cont& container) const
template<class Out >
void | copy (Out pdest) const
GList* | data () const
size_t | size () const
bool | empty () const

### template <class T, class Tr = Glib::Container_Helpers::TypeTraits<T>>
class Glib::ListHandle< T, Tr >

## Member Typedef Documentation

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Glib::Container_Helpers::ListHandleIterator<Tr> Glib::ListHandle< T, Tr >::const_iterator

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Tr::CppType Glib::ListHandle< T, Tr >::CppType

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Tr::CType Glib::ListHandle< T, Tr >::CType

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef ptrdiff_t Glib::ListHandle< T, Tr >::difference_type

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef Glib::Container_Helpers::ListHandleIterator<Tr> Glib::ListHandle< T, Tr >::iterator

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef size_t Glib::ListHandle< T, Tr >::size_type

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

typedef CppType Glib::ListHandle< T, Tr >::value_type

## Constructor & Destructor Documentation

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class Cont >

Glib::ListHandle< T, Tr >::ListHandle | ( | const Cont & | container | ) | `[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

Glib::ListHandle< T, Tr >::ListHandle | ( | GList * | glist,
|  | Glib::OwnershipType | ownership |
| ) |  |  | `[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

Glib::ListHandle< T, Tr >::ListHandle | ( | const ListHandle< T, Tr >& | other | ) | `[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

Glib::ListHandle< T, Tr >::~ListHandle | ( |  | ) |

## Member Function Documentation

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class Cont >

void Glib::ListHandle< T, Tr >::assign_to | ( | Cont & | container | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

const_iterator Glib::ListHandle< T, Tr >::begin | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class Out >

void Glib::ListHandle< T, Tr >::copy | ( | Out | pdest | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

GList* Glib::ListHandle< T, Tr >::data | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

bool Glib::ListHandle< T, Tr >::empty | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

const_iterator Glib::ListHandle< T, Tr >::end | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class U >

Glib::ListHandle< T, Tr >::operator std::deque< U > | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class U >

Glib::ListHandle< T, Tr >::operator std::list< U > | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>
template <class U >

Glib::ListHandle< T, Tr >::operator std::vector< U > | ( |  | ) | const`[inline]`

template <class T , class Tr = Glib::Container_Helpers::TypeTraits<T>>

size_t Glib::ListHandle< T, Tr >::size | ( |  | ) | const`[inline]`

The documentation for this class was generated from the following file:

- glibmm/listhandle.h